Package org.apache.tools.ant.property

# Interface ParseNextProperty

All Known Implementing Classes:
  `ParseProperties`

    public interface ParseNextProperty

Helper for `PropertyExpander` that can be used to expand property references to values.

Since:
  Ant 1.8.0

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`Project` | `getProject()` | Get the current project.
`java.lang.Object` | `parseNextProperty​(java.lang.String value, java.text.ParsePosition pos)` | Return any property that can be parsed from the specified position in the specified String.

## Method Details

### getProject

Project getProject()
Get the current project.

Returns:
  the current ant project.

### parseNextProperty

java.lang.Object parseNextProperty​(java.lang.String value, java.text.ParsePosition pos)
Return any property that can be parsed from the specified position in the specified String.

Parameters:
  `value` - String to parse
  `pos` - ParsePosition
Returns:
  Object or null if no property is at the current location.